## org.eclipse.datatools.enablement.sybase.virtual
Class ForeignKeyNode

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.ui.explorer.providers.content.virtual.VirtualNode
          org.eclipse.datatools.enablement.sybase.virtual.ForeignKeyNode

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, IVirtualNode

Direct Known Subclasses:
  SybaseASAForeignKeyNode, SybaseASEForeignKeyNode

    public class ForeignKeyNode

extends VirtualNode

Author:
  David Cui

Constructor Summary
`ForeignKeyNode(java.lang.String name, java.lang.String displayName, java.lang.Object parent)`

Method Summary
`java.lang.String` `getGroupID()`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.ui.explorer.providers.content.virtual.VirtualNode
`addChildren, addChildren, getAdapter, getChildrenArray, getDisplayName, getFilterName, getName, getParent, getParentConnection, hasChildren, isCreateActionSupported, isCreateDistinctTypeSupported, isCreateRowTypeSupported, removeAllChildren, removeChildren, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForeignKeyNode

    public ForeignKeyNode(java.lang.String name,
                          java.lang.String displayName,
                          java.lang.Object parent)

Parameters:
  `name` -
  `displayName` -
  `parent` -

Method Detail

### getGroupID

    public java.lang.String getGroupID()

  Returns:
    The ID that elements should carry to be included inside this virtual folder